commit b56db32e8b9c9ad515ff58c3e548ec55197b195a
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sat Feb 15 00:26:41 2025 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index c2b6f8fd1b4..92ec7cafd89 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250214
+20250215
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index 95dd5244690..b7b1ef3ee0b 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,12 @@
+2025-02-14  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2025-02-07  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/59252
+	* trans-expr.cc (gfc_trans_subcomponent_assign): Initialize
+	allocatable non-deferred character with NULL properly.
+
 2025-02-07  Paul Thomas  <pault@gcc.gnu.org>
 
 	Backported from master:
diff --git a/gcc/m2/ChangeLog b/gcc/m2/ChangeLog
index 9866f28496f..063055a5e82 100644
--- a/gcc/m2/ChangeLog
+++ b/gcc/m2/ChangeLog
@@ -1,3 +1,13 @@
+2025-02-14  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	Backported from master:
+	2025-02-11  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	PR modula2/118761
+	* gm2spec.cc (lang_specific_driver): Add case clauses for
+	OPT__help, OPT__help_ set in_added_libraries to 0 and early
+	return.
+
 2025-02-13  Gaius Mulley  <gaiusmod2@gmail.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index d2639a7e0d4..a8a0134fa36 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2025-02-14  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2025-02-07  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/59252
+	* gfortran.dg/allocatable_char_1.f90: New test.
+
 2025-02-13  Marek Polacek  <polacek@redhat.com>
 
 	Backported from master:

